Manage Synthetic Checks
Trigger a test run of a synthetic check
post
/api/synthetic-checks/testTriggers an immediate test execution of a synthetic check.
bash
Sample request123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778curl --request POST 'https://api.eu-west-1.aws.dash0.com/api/synthetic-checks/test' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \--header 'Content-Type: application/json' \--data-raw '{"definition": {"kind": "Dash0SyntheticCheck","metadata": {"name": "Example"},"spec": {"plugin": {"kind": "http","spec": {"request": {"method": "get","url": "example","redirects": "follow","tls": {"allowInsecure": true},"tracing": {"addTracingHeaders": true},"headers": [{"name": "Example","value": "example"}],"queryParameters": [{"name": "Example","value": "example"}]},"assertions": {"criticalAssertions": [{"kind": "status_code","spec": {"operator": "is","value": "example"}}],"degradedAssertions": [{"kind": "status_code","spec": {"operator": "is","value": "example"}}]}}},"schedule": {"strategy": "all_locations","interval": "1m","locations": ["example"]},"retries": {"kind": "off","spec": {}},"notifications": {"channels": ["123e4567-e89b-42d3-a456-426614174000"]},"enabled": true}}}'
Request body required
References TestSyntheticCheckRequest
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
SyntheticCheckDefinitionrequired
Responses
Receive a list of synthetic check runs.
References TestSyntheticCheckResponse
SyntheticCheckAttemptDetailsrequired